"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkix import Chem
from rdkix import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = 'C:/rdkix/build/temp.win-amd64-cpython-311/Release/rdkix_install\\share/RDKix\\Data\\FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6F8FE20>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6F8FF60>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6F8FEC0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FE8040>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FE80E0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FE8180>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FE8220>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FE82C0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FE8360>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FE8400>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FE84A0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FE8540>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FE85E0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FE8680>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FE8720>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FE87C0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FE8860>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FE8900>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FE89A0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FE8A40>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FE8AE0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FE8B80>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FE8C20>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FE8CC0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FE8D60>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FE8E00>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FE8EA0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FE8F40>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FE8FE0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FE9080>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FE9120>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FE91C0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FE9260>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FE9300>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FE93A0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FE9440>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FE94E0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FE9580>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FE9620>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FE96C0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FE9760>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FE9800>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FE98A0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FE9940>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FE99E0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FE9A80>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FE9B20>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FE9BC0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FE9C60>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FE9D00>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FE9DA0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FE9E40>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FE9EE0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FE9F80>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FEA020>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FEA0C0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FEA160>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FEA200>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FEA2A0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FEA340>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FEA3E0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FEA480>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FEA520>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FEA5C0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FEA660>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FEA700>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FEA7A0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FEA840>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FEA8E0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FEA980>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FEAA20>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FEAAC0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FEAB60>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FEAC00>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FEACA0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FEAD40>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FEADE0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FEAE80>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FEAF20>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FEB060>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FEAFC0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FEB100>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FEB1A0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FEB240>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x0000024AA6FEB2E0>)]
name: str = 'fr_HOCCN'
